Build LZ from source


Posting rules: It shouldn't need saying, but... play nice. Please keep your discussions civil. You can disagree, just don't be disagreeable. And, of course, all of the usual stuff like no spamming. Tex adds: I'll be rigorously enforcing this as we go along. We're probably going to be a small community in a little lifeboat, so we can't have members at each others' throats. This is for the sake of the project as a whole. So when you post, pretend you're speaking in person with your very wealthy auntie who has always treated you wonderfully and currently lists you prominently in her will. I won't be tossing anyone out of the forums because we are all in this together (except spammers: immediate membership cancelation), but I'll delete suspect posts right away.


6 posts / 0 new
Last post
Photonoxx
Build LZ from source

Hi, 

 

I decide to open a topic about builidng Lightzone from source where, may be, user could ask help or give tips for building the most up to date version (or experimental branch to test) of Lightzone From source.

 

As Jacal speak about some memory improvement was implemented and speak about building from a tarball, I decide to try building my own LZ, but I encounter some matter and the build failed.

 

The last error message speak about some fail when building the Tiff part. 

 

I'm on a Linux Ubuntu 17.04 64bits OS

 

Below I put the pastbon link containing the terminal output concerning the matter and if somebody have an idea... it'll be very welcome.

 

https://pastebin.com/ApGktSyc

Photonoxx
Ok, I make some other try,

Ok, I make some other try, especialy using the method to build a deb file, and some mention about missing libtiff5-dev in the terminal output make me install this package and now the build seems to run nice.

Jacal
I hope it works for you,

it seems to work OK on my Ubuntu Studio 17.04.

libtiff5-dev is on the list of required packages, but I can't say, why it didn't install like everything else and you had to add it manually.

My abilities to help with Linux are very limited, but this thread could become quite useful. Building LZ is the way to go on 17.04, there is currently no Zesty version on PPA.

I'll try to build the Windows version, but this might be too much for me.

Be well!

Photonoxx
Yes, indeed, Libtiff5-dev

Yes, indeed, Libtiff5-dev seems to be in the apt-get command line which I copy and paste (or I copy past from another file ?) but I still have to install it manually. The most important is now, it's working fine. Yes, for 17.04, building it's own version is better, even if use yakkety PPA works too.

 

I also try to build the "distortion" branch version and just have to install 2 more dependencies (about lensfun, and glib2 dev packages). My first try with distortion seems very promising and look good (and fast) with one picture took with one of my lens which give too much barrel and I avoid due to this. I don't know if it's planned to add a perspective correction too, I don't know if Lensfun permit to do it manually, but it would fill all of my needs about geometric correction.

 

The film grain look interesting too ! 

 

Congrats and thanks to developpers ! 

Jacal
The "distortion" branch

is really exciting, you have made me make it work (with some dependency related problems (lensfun/darktable/lightzone), that I didn't resolve yet). A lot of good work was already invested there. (Congrats and thanks to developer(s)!)

Jacal
No problems of any kind

building on 17.04 from master branch, that was updated a couple of hours ago. It seems to work fine. (Including the GPS feature.) Thank you, Masahiro!